Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.parser
Class DefaultConditionalSelector

    java.lang.Object
      org.apache.batik.css.parser.DefaultConditionalSelector

All Implemented Interfaces:
  org.w3c.css.sac.ConditionalSelector, org.w3c.css.sac.Selector, org.w3c.css.sac.SimpleSelector

    public class DefaultConditionalSelector

extends Object
implements org.w3c.css.sac.ConditionalSelector

This class provides an implementation of the `ConditionalSelector` interface.

Field Summary
`protected org.w3c.css.sac.Condition` | `condition` The condition.
`protected org.w3c.css.sac.SimpleSelector` | `simpleSelector` The simple selector.

Fields inherited from interface org.w3c.css.sac.Selector
`SAC_ANY_NODE_SELECTOR, SAC_CDATA_SECTION_NODE_SELECTOR, SAC_CHILD_SELECTOR, SAC_COMMENT_NODE_SELECTOR, SAC_CONDITIONAL_SELECTOR, SAC_DESCENDANT_SELECTOR, SAC_DIRECT_ADJACENT_SELECTOR, SAC_ELEMENT_NODE_SELECTOR, SAC_NEGATIVE_SELECTOR, SAC_PROCESSING_INSTRUCTION_NODE_SELECTOR, SAC_PSEUDO_ELEMENT_SELECTOR, SAC_ROOT_NODE_SELECTOR, SAC_TEXT_NODE_SELECTOR`

Constructor Summary
`DefaultConditionalSelector(org.w3c.css.sac.SimpleSelector s, org.w3c.css.sac.Condition c)` Creates a new ConditionalSelector object.

Method Summary
`org.w3c.css.sac.Condition` | `getCondition()` SAC: Implements `ConditionalSelector.getCondition()`.
`short` | `getSelectorType()` SAC: Implements `Selector.getSelectorType()`.
`org.w3c.css.sac.SimpleSelector` | `getSimpleSelector()` SAC: Implements `ConditionalSelector.getSimpleSelector()`.
`String` | `toString()` Returns a representation of the selector.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### simpleSelector

    protected org.w3c.css.sac.SimpleSelector simpleSelector

  The simple selector.

### condition

    protected org.w3c.css.sac.Condition condition

  The condition.

Constructor Detail

### DefaultConditionalSelector

    public DefaultConditionalSelector(org.w3c.css.sac.SimpleSelector s,
                                      org.w3c.css.sac.Condition c)

  Creates a new ConditionalSelector object.

Method Detail

### getSelectorType

    public short getSelectorType()

  SAC: Implements `Selector.getSelectorType()`.

  Specified by:
    `getSelectorType` in interface `org.w3c.css.sac.Selector`

### getSimpleSelector

    public org.w3c.css.sac.SimpleSelector getSimpleSelector()

  SAC: Implements `ConditionalSelector.getSimpleSelector()`.

  Specified by:
    `getSimpleSelector` in interface `org.w3c.css.sac.ConditionalSelector`

### getCondition

    public org.w3c.css.sac.Condition getCondition()

  SAC: Implements `ConditionalSelector.getCondition()`.

  Specified by:
    `getCondition` in interface `org.w3c.css.sac.ConditionalSelector`

### toString

    public String toString()

  Returns a representation of the selector.

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.